Subject: Re: kernel BUG in __cache_alloc_node at linux-2.6.git/mm/slab.c:3177!

From: Will Schmidt <[email-masked]>
Date: Fri, 20 Oct 2006 12:13:49 -0500

On Fri, 2006-20-10 at 17:00 +0100, Andy Whitcroft wrote:
> Andy Whitcroft wrote:
> > Paul Mackerras wrote:
> >> Christoph Lameter writes:

> Ok, I've just gotten a successful boot on this box for the first time in
> like 15 git releases.  I needed the three patches below:
> 
> clameter-fallback_alloc_fix2 -- from earlier in this thread, under the
> message ID below:
>     <[email-masked]>
> 
> Reintroduce-NODES_SPAN_OTHER_NODES-for-powerpc -- the patch I just
> submitted, under the message ID below:
>     <8a76dfd735e544016c5f04c98617b87d@pinky>
> 
> ibmveth-fix-index-increment-calculation -- this patch is already in -mm.
> 
> Feel free to take this as an ACK for the patches other than mine.
> 
> Acked-by: Andy Whitcroft <[email-masked]>
> 
> -apw

I've applied these three blobs to the linux-2.6.git tree and verified
that it does fix the problem.        
And a "Thanks!" to Christoph for being responsive.. even when the
problem wasnt introduced by him. :)

Acked-by: Will Schmidt <[email-masked]>